Python error after "Check geometry validity"

2012-07-09 03:44 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Windows Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15392

Description

Steps to reproduce:

    1. Check geometry validity of a shapefile

    2. Analyze the report 

    3. Press close

This message appears:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools\\doValidate.py", line 102, in closeEvent

    QMainWindow.closeEvent(self, e)

TypeError: QMainWindow.closeEvent(QCloseEvent): first argument of unbound method must have type 'QMainWindow'

Python version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.8.0-Lisboa Lisboa, 6416f38

Python path: ['C:/Users/fd/.qgis//python/plugins\\\\sextante', 'C:/OSGeo4W/apps/qgis/./python', 'C:/Users/fd/.qgis//python',

'C:/Users/fd/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis/./python/plugins', 'C:\\\\OSGeo4W\\\\apps\\\\orfeotoolbox\\\\python',

'C:\\\\', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

Related issues:

Duplicated by QGIS Application - Bug report # 5790: fTool Check geometry tool... Closed 2012-06-12

Associated revisions

Revision 74e1b849 - 2012-07-09 01:34 PM - Jürgen Fischer

fix #5976
History

#1 - 2012-07-09 04:30 AM - Jürgen Fischer

- Subject changed from Check geometry validity produced an error after pressing to Python error after "Check geometry validity"

#2 - 2012-07-09 04:34 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"74e1b849fec4cb495a1dfb314321bdab8a9b9b83".

#3 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
